Create a market maker
curl --request POST \
--url https://api.example.com/exchange/market-makers \
--header 'Content-Type: application/json' \
--data '
{
"business_id": "7da8e726-a1bc-11ee-80cf-560f156a658b",
"contacts": [
{
"id": "7da8e726-a1bc-11ee-80cf-560f156a658b",
"type": "user"
}
],
"swap_provider": true,
"swap_weight": 50
}
'import requests
url = "https://api.example.com/exchange/market-makers"
payload = {
"business_id": "7da8e726-a1bc-11ee-80cf-560f156a658b",
"contacts": [
{
"id": "7da8e726-a1bc-11ee-80cf-560f156a658b",
"type": "user"
}
],
"swap_provider": True,
"swap_weight": 50
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
business_id: '7da8e726-a1bc-11ee-80cf-560f156a658b',
contacts: [{id: '7da8e726-a1bc-11ee-80cf-560f156a658b', type: 'user'}],
swap_provider: true,
swap_weight: 50
})
};
fetch('https://api.example.com/exchange/market-makers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"archived": false,
"contacts": [
{
"email": "test@user.com",
"id": "7da8e726-a1bc-11ee-80cf-560f156a658b",
"name": "Test User",
"type": "user"
}
],
"email": "anon@nymous.com",
"entity": {
"id": "6ebe0a0f-bb8f-49be-80ea-c6b72c348fea",
"type": "business"
},
"id": "7da75a46-a1bc-11ee-9a32-560f156a658b",
"name": "Anon Nymous",
"swap_provider": false,
"swap_weight": 0
}
}{}exchange
Create a market maker
POST
/
exchange
/
market-makers
Create a market maker
Body
application/json
Market maker params
Response
Market maker
Response schema for a single market maker
Show child attributes
Show child attributes
Example:
{ "archived": false, "contacts": [ { "email": "test@user.com", "id": "7da8e726-a1bc-11ee-80cf-560f156a658b", "name": "Test User", "type": "user" } ], "email": "anon@nymous.com", "entity": { "id": "6ebe0a0f-bb8f-49be-80ea-c6b72c348fea", "type": "business" }, "id": "7da75a46-a1bc-11ee-9a32-560f156a658b", "name": "Anon Nymous", "swap_provider": false, "swap_weight": 0 }
⌘I